import FormData from "form-data";
import { SmartlingBaseApi } from "../base";
import { SmartlingAuthApi } from "../auth";
import { Logger } from "../logger";
import { UploadedFileDto } from "./dto/uploaded-file-dto";
import { UploadFileParameters } from "./params/upload-file-parameters";
import { TranslationDto } from "./dto/translation-dto";
import { TranslateFileParameters } from "./params/translate-file-parameters";
import { TranslationStatusDto } from "./dto/translation-status-dto";
import { LanguageDetectionDto } from "./dto/language-detection-dto";
import { LanguageDetectionStatusDto } from "./dto/language-detection-status-dto";
export declare class SmartlingFileTranslationsApi extends SmartlingBaseApi {
    constructor(smartlingApiBaseUrl: string, authApi: SmartlingAuthApi, logger: Logger);
    uploadFile(accountUid: string, parameters: UploadFileParameters): Promise<UploadedFileDto>;
    translateFile(accountUid: string, fileUid: string, params: TranslateFileParameters): Promise<TranslationDto>;
    getTranslationProgress(accountUid: string, fileUid: string, mtUid: string): Promise<TranslationStatusDto>;
    downloadTranslatedFile(accountUid: string, fileUid: string, mtUid: string, localeId: string): Promise<string>;
    downloadTranslatedFiles(accountUid: string, fileUid: string, mtUid: string): Promise<string>;
    cancelFileTranslation(accountUid: string, fileUid: string, mtUid: string): Promise<void>;
    detectFileLanguage(accountUid: string, fileUid: string): Promise<LanguageDetectionDto>;
    getLanguageDetectionProgress(accountUid: string, fileUid: string, languageDetectionUid: string): Promise<LanguageDetectionStatusDto>;
    static fixContentTypeHeaderCase(form: FormData): Record<string, unknown>;
}
